## node-mongodb 3.3.1+~3.2.7

=== test/core/spec/connection-string/Makefile ===
YAML_FILES=$(shell find . -iname '*.yml')
JSON_FILES=$(patsubst %.yml,%.json,$(YAML_FILES))

all: $(JSON_FILES)

%.json : %.yml
	jwc yaml2json $< > $@

## node-mongodb 3.1.8+~3.0.2+~3.1.7+~1.0.1

=== debian/changelog ===
node-mongodb (3.1.8+~3.0.2+~3.1.7+~1.0.1-1) unstable; urgency=medium

  * Add strict mode in debian/watch to avoid release-candidate in components
  * Import upstream versions:
    - mongodb 3.1.8
    - mongodb-core 3.1.7

 -- Xavier Guimard <yadd@debian.org>  Sat, 13 Oct 2018 11:41:02 +0200

node-mongodb (3.1.4+~3.0.2+~3.1.3+~1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #651368, #897282, #897361, #897399)

 -- Xavier Guimard <yadd@debian.org>  Tue, 11 Sep 2018 11:44:09 +0200

=== debian/control ===
Source: node-mongodb
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11),
               chai,
               mocha,
               node-co,
               node-es6-promise,
               node-resolve-from,
               node-semver (>= 5.1.0),
               nodejs
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/js-team/node-mongodb
Vcs-Git: https://salsa.debian.org/js-team/node-mongodb.git
Homepage: https://github.com/mongodb/node-mongodb-native

Package: node-mongodb
Architecture: all
Depends: ${misc:Depends},
         nodejs,
         node-resolve-from,
         node-safe-buffer,
         node-semver (>= 5.1.0)
Provides: node-mongodb-core (= 3.1.7),
          node-bson (= 3.0.2),
          node-require-optional
Description: official MongoDB driver for Node.js
 MongoDB is a high-performance, open source, schema-free document-oriented
 data store.
 .
 node-mongodb provides a high-level API on top of node-mongodb-core that is
 the meant for end users.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	for m in bson mongodb-core requireoptional; do \
		cp $$m/README.md README-$$m.md; \
		cp $$m/HISTORY.md HISTORY-$$m.md; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd requireoptional && mkdir node_modules && cd node_modules && ln -s ../../bson && cd - && mocha
	rm -rf requireoptional/node_modules
	cd bson && mocha ./test/node
endif

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY.md

=== debian/tests/control ===
Tests: require
Depends: node-mongodb

Tests: bson
Depends: node-mongodb, chai, mocha

Tests: require-optional
Depends: node-mongodb, mocha, node-es6-promise

=== debian/watch ===
version=4

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s/.*=// \
 https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/mongodb+npmjs/bson+npmjs/mongodb-core+npmjs/require_optional&strict=1 \
  .*=mongodb_bson_mongodb-core_require_optional-(\d.*)@ARCHIVE_EXT@ debian

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s/.*=/bson/,component=bson \
 https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/mongodb+npmjs/bson+npmjs/mongodb-core+npmjs/require_optional&component=bson&strict=1 \
  .*=mongodb_bson_mongodb-core_require_optional-(\d.*)@ARCHIVE_EXT@ same

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s/.*=/mongodb-core/,component=mongodb-core \
 https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/mongodb+npmjs/bson+npmjs/mongodb-core+npmjs/require_optional&component=mongodb-core&strict=1 \
  .*=mongodb_bson_mongodb-core_require_optional-(\d.*)@ARCHIVE_EXT@ same

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s/.*=/requireoptional/,component=requireoptional \
 https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/mongodb+npmjs/bson+npmjs/mongodb-core+npmjs/require_optional&component=require_optional&strict=1 \
  .*=mongodb_bson_mongodb-core_require_optional-(\d.*)@ARCHIVE_EXT@ same

## node-mongodb 3.1.10+~3.1.9

=== debian/changelog ===
node-mongodb (3.1.10+~3.1.9-1) unstable; urgency=medium

  * debian/watch:
    - use uscan grouped version
    - don't include bson and require_optional in grouped version
  * Import upstream version:
    - mongodb 3.1.10
    - mongodb-core 3.1.9
    - downgrade bson to 1.1.0 as required by upstream
  * Change component name
  * New upstream version 3.1.10+~3.1.9
  * Refresh bson test patch
  * Add node-safe-buffer and nodeunit in build dependencies
  * Update debian/copyright
  * Update tests
  * Change component name
  * New upstream version 3.1.8+~3.0.2+~3.1.7+~1.0.1
  * New upstream version 3.1.10+~3.1.9
  * Refresh bson test patch
  * Add node-safe-buffer and nodeunit in build dependencies
  * Update debian/copyright
  * Update tests
  * Declare compliance with policy 4.3.0

 -- Xavier Guimard <yadd@debian.org>  Wed, 26 Dec 2018 22:23:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
                node-co,
                node-es6-promise,
                node-resolve-from,
+               node-safe-buffer,
                node-semver (>= 5.1.0),
-               nodejs
-Standards-Version: 4.2.1
+               nodejs,
+               nodeunit
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mongodb
 Vcs-Git: https://salsa.debian.org/js-team/node-mongodb.git
 Homepage: https://github.com/mongodb/node-mongodb-native
@@ -23,9 +25,9 @@
          node-resolve-from,
          node-safe-buffer,
          node-semver (>= 5.1.0)
-Provides: node-mongodb-core (= 3.1.7),
-          node-bson (= 3.0.2),
-          node-require-optional
+Provides: node-mongodb-core (= 3.1.9),
+          node-bson (= 1.1.0),
+          node-require-optional (= 1.0.1)
 Description: official MongoDB driver for Node.js
  MongoDB is a high-performance, open source, schema-free document-oriented
  data store.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd requireoptional && mkdir node_modules && cd node_modules && ln -s ../../bson && cd - && mocha
 	rm -rf requireoptional/node_modules
-	cd bson && mocha ./test/node
+	cd bson && nodeunit ./test/node
+	mkdir node_modules && cd node_modules && ln -s ../requireoptional require_optional && ln -s ../bson && ln -s ../mongodb-core
+	node index.js
+	rm -rf node_modules
 endif
 
 override_dh_installchangelogs:

=== debian/tests/control ===
Tests: require
Depends: node-mongodb

Tests: bson
Depends: node-mongodb, chai, mocha, nodeunit

Tests: require-optional
Depends: node-mongodb, mocha, node-es6-promise

=== debian/watch ===
version=4

opts="searchmode=plain,pgpmode=none" \
 https://registry.npmjs.org/mongodb https://registry.npmjs.org/mongodb/-/mongodb-(\d[\d\.]*)@ARCHIVE_EXT@ group

opts="searchmode=plain,pgpmode=none,component=mongodb-core" \
 https://registry.npmjs.org/mongodb-core https://registry.npmjs.org/mongodb-core/-/mongodb-core-(\d[\d\.]*)@ARCHIVE_EXT@ group

opts="searchmode=plain,pgpmode=none,component=requireoptional" \
 https://registry.npmjs.org/require_optional https://registry.npmjs.org/require_optional/-/require_optional-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=bson" \
 https://registry.npmjs.org/bson https://registry.npmjs.org/bson/-/bson-(1[\d\.]*)@ARCHIVE_EXT@ ignore

## node-mongodb 3.1.13+~3.1.11

=== debian/changelog ===
node-mongodb (3.1.13+~3.1.11-2) unstable; urgency=medium

  * Remove bson tests (Closes: #923353)
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Wed, 27 Feb 2019 06:31:17 +0100

node-mongodb (3.1.13+~3.1.11-1) unstable; urgency=medium

  * Remove bson test patch
  * New upstream version 3.1.13+~3.1.11

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Feb 2019 18:51:07 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd requireoptional && mkdir node_modules && cd node_modules && ln -s ../../bson && cd - && mocha
 	rm -rf requireoptional/node_modules
-	cd bson && nodeunit ./test/node
 	mkdir node_modules && cd node_modules && ln -s ../requireoptional require_optional && ln -s ../bson && ln -s ../mongodb-core
 	node index.js
 	rm -rf node_modules

=== debian/tests/control ===
Tests: require
Depends: node-mongodb
Restrictions: superficial

Tests: require-optional
Depends: node-mongodb, mocha, node-es6-promise

## node-mongodb 3.2.7+~3.2.7

=== debian/changelog ===
node-mongodb (3.2.7+~3.2.7-2) experimental; urgency=medium

  * Install components using pkg-js-tools >=0.8.2
  * Use pkg-js-tools >=0.8.3 to build. This removes debian/install

 -- Xavier Guimard <yadd@debian.org>  Sun, 28 Jul 2019 14:43:45 +0200

node-mongodb (3.2.7+~3.2.7-1) unstable; urgency=medium

  * Back to unstable after Buster release
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Move installed files to /usr/share/nodejs
  * New upstream version 3.2.7+~3.2.7
  * Exclude .DS_Store from install

 -- Xavier Guimard <yadd@debian.org>  Wed, 24 Jul 2019 20:58:47 +0200

node-mongodb (3.2.2+~3.2.2-1) experimental; urgency=medium

  * New upstream version 3.2.2+~3.2.2
  * Remove .eslintrc files from install

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 Mar 2019 07:06:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Xavier Guimard <yadd@debian.org>
 Section: javascript
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
                chai,
                mocha,
                node-co,
@@ -12,8 +12,9 @@
                node-safe-buffer,
                node-semver (>= 5.1.0),
                nodejs,
-               nodeunit
-Standards-Version: 4.3.0
+               nodeunit,
+               pkg-js-tools (>= 0.8.3)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mongodb
 Vcs-Git: https://salsa.debian.org/js-team/node-mongodb.git
 Homepage: https://github.com/mongodb/node-mongodb-native
@@ -25,9 +26,6 @@
          node-resolve-from,
          node-safe-buffer,
          node-semver (>= 5.1.0)
-Provides: node-mongodb-core (= 3.1.9),
-          node-bson (= 1.1.0),
-          node-require-optional (= 1.0.1)
 Description: official MongoDB driver for Node.js
  MongoDB is a high-performance, open source, schema-free document-oriented
  data store.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:
	for m in bson mongodb-core requireoptional; do \
		cp $$m/README.md README-$$m.md; \
		cp $$m/HISTORY.md HISTORY-$$m.md; \
	done

override_dh_install:
	dh_install -Xlib/async/.eslintrc -Xlib/.DS_Store

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd requireoptional && mocha
	node index.js
endif

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY.md

## node-mongodb 3.3.1+~3.2.7

=== debian/changelog ===
node-mongodb (3.3.1+~3.2.7-1) unstable; urgency=medium

  * Back to unstabme after pkg-js-tools release
  * New upstream version 3.3.1+~3.2.7 (really 3.3.2+~3.2.7)
  * Declare require_optional test as superficial
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Thu, 29 Aug 2019 07:37:48 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                node-semver (>= 5.1.0),
                nodejs,
                nodeunit,
-               pkg-js-tools (>= 0.8.3)
+               pkg-js-tools (>= 0.9.8)
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mongodb
 Vcs-Git: https://salsa.debian.org/js-team/node-mongodb.git

=== debian/watch ===
--- 
+++ 
@@ -1,7 +1,9 @@
 version=4
 
-opts="searchmode=plain,pgpmode=none" \
- https://registry.npmjs.org/mongodb https://registry.npmjs.org/mongodb/-/mongodb-(\d[\d\.]*)@ARCHIVE_EXT@ group
+opts=\
+dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mongodb-native-$1.tar.gz/ \
+ https://github.com/mongodb/node-mongodb-native/tags .*/archive/v?([\d\.]+).tar.gz group
 
 opts="searchmode=plain,pgpmode=none,component=mongodb-core" \
  https://registry.npmjs.org/mongodb-core https://registry.npmjs.org/mongodb-core/-/mongodb-core-(\d[\d\.]*)@ARCHIVE_EXT@ group

## node-mongodb 3.5.2+~3.2.7

=== debian/changelog ===
node-mongodb (3.5.2+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.5.2+~3.2.7
  * Declare compliance with policy 4.5.0

 -- Xavier Guimard <yadd@debian.org>  Wed, 22 Jan 2020 06:14:30 +0100

node-mongodb (3.5.0+~3.2.7-1) unstable; urgency=medium

  * Update copyright
  * Add dependency to node-bl
  * Embed components: denque saslprep sparse-bitfield memory-pager
  * New upstream version 3.5.0+~3.2.7
  * Update lintian overrides
  * Remove useless source/include-binaries
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Thu, 16 Jan 2020 21:40:40 +0100

node-mongodb (3.4.1+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.4.1+~3.2.7

 -- Xavier Guimard <yadd@debian.org>  Mon, 23 Dec 2019 04:53:51 +0100

node-mongodb (3.4.0+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.4.0+~3.2.7

 -- Xavier Guimard <yadd@debian.org>  Wed, 11 Dec 2019 05:42:46 +0100

node-mongodb (3.3.5+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.3.5+~3.2.7

 -- Xavier Guimard <yadd@debian.org>  Mon, 02 Dec 2019 22:07:13 +0100

node-mongodb (3.3.4+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.3.4+~3.2.7

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Nov 2019 20:28:52 +0100

node-mongodb (3.3.3+~3.2.7-1) unstable; urgency=medium

  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * New upstream version 3.3.3+~3.2.7
  * Update autopkgtest files

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Nov 2019 09:29:58 +0100

node-mongodb (3.3.2+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.3.2+~3.2.7
  * Clean patches
  * Switch to debhelper-compat

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Sep 2019 22:43:37 +0200

## node-mongodb 3.5.5+~3.2.7

=== debian/changelog ===
node-mongodb (3.5.5+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.5.5+~3.2.7

 -- Xavier Guimard <yadd@debian.org>  Fri, 13 Mar 2020 13:46:10 +0100

node-mongodb (3.5.4+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.5.4+~3.2.7

 -- Xavier Guimard <yadd@debian.org>  Fri, 28 Feb 2020 19:33:58 +0100

node-mongodb (3.5.3+~3.2.7-1) unstable; urgency=medium

  * New upstream version 3.5.3+~3.2.7

 -- Xavier Guimard <yadd@debian.org>  Sat, 15 Feb 2020 09:22:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Xavier Guimard <yadd@debian.org>
 Section: javascript
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                chai,
                mocha,
+               node-bl,
                node-co,
                node-es6-promise,
                node-resolve-from,
@@ -14,15 +15,17 @@
                nodejs,
                nodeunit,
                pkg-js-tools (>= 0.9.8)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mongodb
 Vcs-Git: https://salsa.debian.org/js-team/node-mongodb.git
 Homepage: https://github.com/mongodb/node-mongodb-native
+Rules-Requires-Root: no
 
 Package: node-mongodb
 Architecture: all
 Depends: ${misc:Depends},
          nodejs,
+         node-bl,
          node-resolve-from,
          node-safe-buffer,
          node-semver (>= 5.1.0)

=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,5 @@
 		cp $$m/HISTORY.md HISTORY-$$m.md; \
 	done
 
-override_dh_install:
-	dh_install -Xlib/async/.eslintrc -Xlib/.DS_Store
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd requireoptional && mocha
-	node index.js
-endif
-
 override_dh_installchangelogs:
 	dh_installchangelogs -k HISTORY.md

=== debian/watch ===
--- 
+++ 
@@ -13,3 +13,26 @@
 
 opts="searchmode=plain,pgpmode=none,component=bson" \
  https://registry.npmjs.org/bson https://registry.npmjs.org/bson/-/bson-(1[\d\.]*)@ARCHIVE_EXT@ ignore
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=denque,pgpmode=none" \
+ https://registry.npmjs.org/denque https://registry.npmjs.org/denque/-/denque-([\d\.]+)@ARCHIVE_EXT@ ignore
+
+opts=\
+component=saslprep,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-saslprep-$1.tar.gz/ \
+ https://github.com/reklatsmasters/saslprep/tags .*/archive/v?([\d\.]+).tar.gz ignore
+
+opts=\
+component=sparse-bitfield,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-sparse-bitfield-$1.tar.gz/ \
+ https://github.com/mafintosh/sparse-bitfield/tags .*/archive/v?([\d\.]+).tar.gz ignore
+
+opts=\
+component=memory-pager,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-memory-pager-$1.tar.gz/ \
+ https://github.com/mafintosh/memory-pager/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-mongodb 3.6.2+~cs11.12.20

=== debian/changelog ===
node-mongodb (3.6.2+~cs11.12.20-1) unstable; urgency=medium

  * New upstream version 3.6.2+~cs11.12.20: only mongodb is updated
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Sep 2020 17:07:14 +0200

node-mongodb (3.6.0+~cs11.12.20-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 13
  * New upstream version 3.6.0+~cs11.12.20, updates mongodb and bson
    really: 3.6.0+~3.2.7+~1.0.1+~1.1.5+~1.4.1+~1.0.3+~3.0.3+~1.5.0

 -- Xavier Guimard <yadd@debian.org>  Mon, 24 Aug 2020 17:16:51 +0200

node-mongodb (3.5.9+~cs11.12.19-1) unstable; urgency=medium

  * New upstream version (no component change)

 -- Xavier Guimard <yadd@debian.org>  Sun, 14 Jun 2020 11:19:32 +0200

node-mongodb (3.5.7+~cs11.12.19-1) unstable; urgency=medium

  * New upstream version: update mongodb to 3.5.7
    really: 3.5.7+~3.2.7+~1.0.1+~1.1.4+~1.4.1+~1.0.3+~3.0.3+~1.5.0

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 May 2020 23:29:09 +0200

node-mongodb (3.5.6+~cs11.12.19-1) unstable; urgency=medium

  * Back to unstable after devscripts 2.20.3 release
  * New upstream version: update mongodb to 3.5.6
    really: 3.5.6+~3.2.7+~1.0.1+~1.1.4+~1.4.1+~1.0.3+~3.0.3+~1.5.0

 -- Xavier Guimard <yadd@debian.org>  Sat, 25 Apr 2020 21:41:19 +0200

node-mongodb (3.5.5+~cs11.12.19-1) experimental; urgency=medium

  * Use new "checksum" and "ctype" features of uscan
  * New upstream version 3.5.5+~cs11.12.19: update bson to 1.1.4
    really: 3.5.5+~3.2.7+~1.0.1+~1.1.4+~1.4.1+~1.0.3+~3.0.3+~1.5.0

 -- Xavier Guimard <yadd@debian.org>  Fri, 27 Mar 2020 14:32:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Xavier Guimard <yadd@debian.org>
 Section: javascript
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                chai,
                mocha,
                node-bl,

## node-mongodb 3.6.3+~cs11.12.20

=== debian/changelog ===
node-mongodb (3.6.3+~cs11.12.20-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Use dh-sequence-nodejs
  * New upstream version 3.6.3+~cs11.12.20

 -- Xavier Guimard <yadd@debian.org>  Thu, 12 Nov 2020 14:41:03 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                node-semver (>= 5.1.0),
                nodejs,
                nodeunit,
-               pkg-js-tools (>= 0.9.8)
+               dh-sequence-nodejs
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mongodb
 Vcs-Git: https://salsa.debian.org/js-team/node-mongodb.git

## node-mongodb 3.6.4%2B~cs11.13.19

=== debian/changelog ===
node-mongodb (3.6.4+~cs11.13.19-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Drop dependency to nodejs

 -- Yadd <yadd@debian.org>  Sun, 21 Nov 2021 13:48:43 +0100

node-mongodb (3.6.4+~cs11.13.19-1) unstable; urgency=medium

  * Declare compliance with policy 4.5.1
  * New upstream version 3.6.4+~cs11.13.19
    Updates:
    + mongodb 3.6.4
    + denque 1.5.0
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Thu, 04 Feb 2021 12:07:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	for m in bson mongodb-core requireoptional; do \

## node-mongodb 3.6.4+~cs11.13.19

=== docs/Makefile ===
GIT_BRANCH=`git rev-parse --abbrev-ref HEAD`
USER=`whoami`
URL="https://docs-mongodborg-staging.corp.mongodb.com"
PREFIX=node-mongodb-native

.PHONY: help stage fake-deploy build-temp lint

CSS_ERRORS=errors,empty-rules,duplicate-properties,selector-max-approaching
CSS_WARNINGS=regex-selectors,unqualified-attributes,text-indent

help:
	@echo 'Targets'
	@echo '  help         - Show this help message'
	@echo '  stage        - Host online for review'
	@echo '  fake-deploy  - Create a fake deployment in the staging bucket'
	@echo '  lint         - Check the CSS'
	@echo ''
	@echo 'Variables'
	@echo '  ARGS         - Arguments to pass to mut-publish'

stage: build-temp
	mut-publish build/ docs-mongodb-org-staging --prefix=${PREFIX} --stage ${ARGS}
	@echo "Hosted at ${URL}/${PREFIX}/${USER}/${GIT_BRANCH}/index.html"

=== debian/control ===
Source: node-mongodb
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper-compat (= 13),
               chai,
               mocha,
               node-bl,
               node-co,
               node-es6-promise,
               node-resolve-from,
               node-safe-buffer,
               node-semver,
               nodeunit,
               dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-mongodb
Vcs-Git: https://salsa.debian.org/js-team/node-mongodb.git
Homepage: https://github.com/mongodb/node-mongodb-native
Rules-Requires-Root: no

Package: node-mongodb
Architecture: all
Depends: ${misc:Depends},
         node-bl,
         node-resolve-from,
         node-safe-buffer,
         node-semver
Description: official MongoDB driver for Node.js
 MongoDB is a high-performance, open source, schema-free document-oriented
 data store.
 .
 node-mongodb provides a high-level API on top of node-mongodb-core that is
 the meant for end users.

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,4 @@
 
 Tests: require-optional
 Depends: node-mongodb, mocha, node-es6-promise
+Restrictions: superficial

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mongodb-native-$1/ \
 https://github.com/mongodb/node-mongodb-native/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=mongodb-core" \
 https://registry.npmjs.org/mongodb-core https://registry.npmjs.org/mongodb-core/-/mongodb-core-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=requireoptional" \
 https://registry.npmjs.org/require_optional https://registry.npmjs.org/require_optional/-/require_optional-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=bson" \
 https://registry.npmjs.org/bson https://registry.npmjs.org/bson/-/bson-(1[\d\.]*)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=denque,ctype=nodejs,pgpmode=none" \
 https://registry.npmjs.org/denque https://registry.npmjs.org/denque/-/denque-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=saslprep,ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-saslprep-$1/ \
 https://github.com/reklatsmasters/saslprep/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
component=sparse-bitfield,ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-sparse-bitfield-$1/ \
 https://github.com/mafintosh/sparse-bitfield/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
component=memory-pager,ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-memory-pager-$1/ \
 https://github.com/mafintosh/memory-pager/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum
